=== requirements.txt ===
freeze-core>=0.6.0
packaging>=25.0
setuptools>=78.1.1,<=82.0
tomli>=2.0.1 ;python_version == '3.10'
filelock>=3.20.3 ;sys_platform == 'linux'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 'x86_64'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 'i686'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 'aarch64'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 'armv7l'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 'ppc64le'
patchelf>=0.16.1,<0.18 ;sys_platform == 'linux' and platform_machine == 's390x'
dmgbuild>=1.6.1 ;sys_platform == 'darwin'
lief>=0.15.1,<=0.17.3 ;sys_platform == 'win32' and platform_machine != 'ARM64'
lief>=0.15.1,<=0.17.3 ;sys_platform == 'win32' and platform_machine == 'ARM64' and python_version <= '3.13'
python-msilib>=0.4.1 ;sys_platform == 'win32' and python_version >= '3.13'
