=== doc/requirements.txt ===
sphinx==9.1.0
sphinx-inline-tabs==2025.12.21.14
sphinx-issues==5.0.1
sphinx-new-tab-link==0.8.1
furo==2025.12.19
myst-parser==5.0.0
